package PER.rover.control;

public class Datapack {
   private byte [] buf;
   private int sequenceNumber;
   
   public Datapack(byte [] buffer, int seqNum) {
      buf = buffer;
      sequenceNumber = seqNum;
   }
   
   public byte [] getData() {
      return buf;
   }
   
   public int getLength() {
      return buf.length;
   }
   
   public int getSequenceNumber() {
      return sequenceNumber;
   }
   
}